# $Revision: 1.14 $, $Date: 2012/05/15 11:13:50 $
#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module
#
%define		module	pygobject
#
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Name:		python-%{module}3
Version:	3.2.2
Release:	1
License:	LGPL v2+
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pygobject/3.2/%{module}-%{version}.tar.xz
# Source0-md5:	f895f1ec37f60c2ba528c2d760bcb69e
URL:		http://www.pygtk.org/
Patch0:		link.patch
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gobject-introspection-devel >= 1.32.0
BuildRequires:	libffi-devel >= 3.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(libffi) >= 3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5.2
BuildRequires:	python-pycairo-devel >= 1.2.0
%pyrequires_eq	python-modules
%endif
%if %{with python3}
BuildRequires:	python3 >= 3.2.2-3
BuildRequires:	python3-devel >= 3.2.2-3
BuildRequires:	python3-modules >= 3.2.2-3
BuildRequires:	python3-pycairo-devel >= 1.10.0
%endif
Requires:	glib2 >= 1:2.32.0
Requires:	gobject-introspection >= 1.32.0
Conflicts:	python-pygobject < 2.28.6-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for GObject library.

%description -l pl.UTF-8
Wiązania Pythona do biblioteki GObject.

%package common-devel
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0
Requires:	libffi-devel >= 3.0

%description common-devel
This package contains headers files required to build wrappers for
GObject addon libraries so that they interoperate with Python
bindings.

%description common-devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe wymagane do zbudowania funkcji do
biblioteki GObject, tak by mogły te biblioteki kooperowaći z
wiązaniami Pythona.

%package devel
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-common-devel = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0
Requires:	libffi-devel >= 3.0
Requires:	python-devel >= 1:2.5.2

%description devel
This package contains files required to build wrappers for GObject
addon libraries so that they interoperate with Python bindings.

%description devel -l pl.UTF-8
Pakiet zawiera pliki wymagane do zbudowania funkcji do biblioteki
GObject, tak by mogły te biblioteki kooperować z wiązaniami Pythona.

%package -n python3-pygobject3
Summary:	Python 3.x bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki GObject
Group:		Libraries/Python
Requires:	glib2 >= 1:2.32.0
Requires:	gobject-introspection >= 1.32.0
Conflicts:	python3-pygobject < 2.28.6-3

%description -n python3-pygobject3
Python 3.x bindings for GObject library.

%description -n python3-pygobject3 -l pl.UTF-8
Wiązania Pythona 3.x do biblioteki GObject.

%package -n python3-pygobject3-devel
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name}-common-devel = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0
Requires:	libffi-devel >= 3.0
Requires:	python3-devel >= 3.1
Requires:	python3-pygobject3 = %{version}-%{release}

%description -n python3-pygobject3-devel
This package contains files required to build wrappers for GObject
addon libraries so that they interoperate with Python bindings.

%description -n python3-pygobject3-devel -l pl.UTF-8
Pakiet zawiera pliki wymagane do zbudowania funkcji do biblioteki
GObject, tak by mogły te biblioteki kooperować z wiązaniami Pythona.

%package examples
Summary:	Example programs for GObject library
Summary(pl.UTF-8):	Programy przykładowe dla biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name}-devel = %{version}-%{release}

%description examples
This package contains example programs for GObject library.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla biblioteki GObject.

%package apidocs
Summary:	pygobject API documentation
Summary(pl.UTF-8):	Dokumentacja API pygobject
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
pygobject API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API pygobject.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%if %{with python3}
mkdir py3
cd py3
../%configure \
	PYTHON=/usr/bin/python3 \
	PYTHON_LIBS=-lpython3 \
	--disable-silent-rules
%{__make}
cd ..
%endif
%if %{with python2}
mkdir py2
cd py2
../%configure \
	PYTHON=%{__python} \
	PYTHON_LIBS=-lpython \
	--disable-silent-rules
%{__make}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python3}
%{__make} -C py3 -j 1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	TARGET_DIR=%{_gtkdocdir}/%{module}
%endif
%if %{with python2}
%{__make} -C py2 -j 1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	TARGET_DIR=%{_gtkdocdir}/%{module}
%endif

cp -a examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%if %{with python2}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/gi/{*/,}/*.la
%py_postclean
%endif
%if %{with python3}
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/gi/{*/,}*.la
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libpyglib-gi-2.0-python.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpyglib-gi-2.0-python.so.0
%dir %{py_sitedir}/gi
%dir %{py_sitedir}/gi/overrides
%{py_sitedir}/gi/overrides/*.py[co]
%dir %{py_sitedir}/gi/repository
%{py_sitedir}/gi/repository/*.py[co]
%{py_sitedir}/gi/*.py[co]
%attr(755,root,root) %{py_sitedir}/gi/_gi.so
%attr(755,root,root) %{py_sitedir}/gi/_gi_cairo.so
%dir %{py_sitedir}/gi/_glib
%attr(755,root,root) %{py_sitedir}/gi/_glib/_glib.so
%{py_sitedir}/gi/_glib/*.py[co]
%dir %{py_sitedir}/gi/_gobject
%attr(755,root,root) %{py_sitedir}/gi/_gobject/_gobject.so
%{py_sitedir}/gi/_gobject/*.py[co]

%files common-devel
%defattr(644,root,root,755)
%{_includedir}/pygobject-3.0
%{_pkgconfigdir}/pygobject-3.0.pc

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpyglib-gi-2.0-python.so
%endif

%if %{with python3}
%files -n python3-pygobject3
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libpyglib-gi-2.0-python3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpyglib-gi-2.0-python3.so.0
%dir %{py3_sitedir}/gi
%dir %{py3_sitedir}/gi/overrides
%{py3_sitedir}/gi/overrides/*.py*
#%{py3_sitedir}/gi/overrides/__pycache__
%dir %{py3_sitedir}/gi/repository
%{py3_sitedir}/gi/repository/*.py*
#%{py3_sitedir}/gi/repository/__pycache__
%{py3_sitedir}/gi/*.py*
#%{py3_sitedir}/gi/__pycache__
%attr(755,root,root) %{py3_sitedir}/gi/_gi.*so
%attr(755,root,root) %{py3_sitedir}/gi/_gi_cairo.*so
%dir %{py3_sitedir}/gi/_glib
%attr(755,root,root) %{py3_sitedir}/gi/_glib/_glib.*so
%{py3_sitedir}/gi/_glib/*.py*
#%{py3_sitedir}/glib/__pycache__
%dir %{py3_sitedir}/gi/_gobject
%attr(755,root,root) %{py3_sitedir}/gi/_gobject/_gobject.*so
%{py3_sitedir}/gi/_gobject/*.py*
#%{py3_sitedir}/gobject/__pycache__

%files -n python3-pygobject3-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpyglib-gi-2.0-python3.so
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

#%files apidocs
#%defattr(644,root,root,755)
#%{_gtkdocdir}/%{module}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pygobject3.spec,v $
Revision 1.14  2012/05/15 11:13:50  kiesiu
- updated to 3.2.2

Revision 1.13  2012/03/30 18:02:16  qboosh
- versioned install time dependencies for python3 module
- BR libffi with pkgconfig support

Revision 1.12  2012/03/30 11:10:21  megabajt
- updated to 3.2.0; merged changes from DEVEL

Revision 1.11.2.1  2012/03/23 11:21:27  megabajt
- updated to 3.1.93

Revision 1.11  2012/02/15 07:05:19  megabajt
- updated to 3.0.4

Revision 1.10  2012/01/12 19:30:41  zbyniu
- up to 3.0.3

Revision 1.9  2011/10/22 10:03:48  kiesiu
- updated to 3.0.2

Revision 1.8  2011/10/01 07:34:44  wiget
- up to 3.0.1

Revision 1.7  2011/09/25 16:50:36  wiget
- conflicts with pygobject 2.x with introspection
- rel. 3

Revision 1.6  2011/09/24 18:15:23  wiget
- fix unresolved symbols (link.patch and BR fixed python3)
- removed outdated TODO

Revision 1.5  2011/09/19 19:31:37  megabajt
- fixed description tag for common-devel subpackage

Revision 1.4  2011/09/19 18:30:42  wiget
- up to 3.0.0
- moved headers and pkgconfig files to common-devel subpackage

Revision 1.3  2011/09/19 10:36:53  wiget
- up to 2.90.4
- apidocs disabled by upstream

Revision 1.2  2011/09/06 20:20:05  wiget
- fix typos
- don't include dsextras.py* (confilict with python-pygobject)

Revision 1.1  2011/09/06 19:33:18  wiget
- based on python-pygobject.spec

Revision 1.67  2011/07/15 19:35:12  jajcus
- no %py3_postclean (but still no __pycache__ – probably the package must be updated upstream)
- Release: 2

Revision 1.66  2011/06/16 15:02:09  qboosh
- updated to 2.28.6

Revision 1.65  2011/05/22 19:03:49  qboosh
- added pycairo patch (fixes build with python3-based pycairo 1.10.0)

Revision 1.64  2011/04/18 20:40:21  wiget
- up to 2.28.4

Revision 1.63  2011/04/08 08:24:31  jajcus
- bconds fixes

Revision 1.62  2011/03/23 17:01:59  wiget
- up to 2.28.3

Revision 1.61  2011/03/23 09:50:15  wiget
- up to 2.28.2

Revision 1.60  2011/03/21 18:52:27  wiget
- up to 2.28.1

Revision 1.59  2011/03/11 10:23:32  lisu
- oops, my mistake
- rel 3

Revision 1.58  2011/03/11 10:19:12  lisu
- rel 2; avoid parallel install

Revision 1.57  2011/03/11 10:01:24  lisu
- merged with DEVEL
- rel 1

Revision 1.56  2011/02/04 23:40:55  sparky
- %description <name> for correct %package

Revision 1.55.2.4  2011/03/09 13:44:11  wiget
- up to 2.28.0

Revision 1.55.2.3  2011/03/02 16:56:40  wiget
- updated to 2.27.91
- added python3-pygobject-devel subpackage
- force thread support in python3 version
- drop libtool files

Revision 1.55.2.2  2011/02/21 09:43:21  lisu
- up to 2.27.90
- %%files adjusted

Revision 1.55.2.1  2010/11/13 15:48:54  wiget
- 2.27.0

Revision 1.55  2010/11/01 17:41:22  wiget
- python2/3 bconds

Revision 1.54  2010/11/01 16:57:32  wiget
- added python 3.x version
- rel 4

Revision 1.53  2010/10/22 10:19:37  megabajt
- added R: gobject-introspection >= 0.9.5
- release 3

Revision 1.52  2010/10/20 10:48:38  lisu
- change comment

Revision 1.51  2010/10/20 10:43:20  lisu
- comment

Revision 1.50  2010/10/20 08:48:55  lisu
- drop needless -link.patch, leave unresolved symbols and define skip_post_check_so for libpyglib-2.0-python.so.*
- rel 2

Revision 1.49  2010/10/20 08:06:37  qboosh
- updated BRs/Rs versions
- .so perms

Revision 1.48  2010/10/19 13:38:18  lisu
- glib2 >= 1:2.22.4 required

Revision 1.47  2010/10/19 12:59:02  lisu
- BR: python-pycairo >= 1.0.2

Revision 1.46  2010/10/19 12:32:23  lisu
- updated to 2.26.0
- drop unused gobject-introspection.patch
- add -link.patch which forces link with -lpython to avoid unresolved symbols
- files

Revision 1.45  2010/07/22 18:03:00  patrys
- patched for new gobject-introspection

Revision 1.44  2010/07/08 11:59:11  arekm
- release 4

Revision 1.43  2010/07/08 08:30:42  arekm
- release 3

Revision 1.42  2009/11/03 19:57:27  wiget
- fix codegen tool
- release 2

Revision 1.41  2009/10/30 18:58:15  megabajt
- updated to 2.20.0

Revision 1.40  2009/07/15 18:35:04  deejay1
- updated to 2.18.0

Revision 1.39  2009/03/11 20:06:46  qboosh
- libpyglib-2.0.la added to -devel

Revision 1.38  2009/03/11 19:35:52  qboosh
- libpyglib-2.0.so symlink moved to -devel

Revision 1.37  2009/02/22 11:32:44  megabajt
- updated to 2.16.1

Revision 1.36  2009/02/15 23:38:15  megabajt
- codegen moved to -devel subpackage
- added -pyc.patch

Revision 1.35  2009/02/08 12:31:36  duddits
- up to 2.16.0
- pc.patch updated
- %post/%postun section added
- more %files
- cleaning

Revision 1.34  2008/11/16 09:39:25  qboosh
- reverted unfinished upgrade (2.15.x already on DEVEL)

Revision 1.32  2008/11/04 20:25:21  sls
- BR: pkgconfig

Revision 1.31  2008/10/03 17:57:00  arekm
- release 2

Revision 1.30  2008-05-23 21:34:39  megabajt
- updated to 2.14.2
- removed -m4.patch (applied upstream)

Revision 1.29  2008-05-16 13:30:16  matkor
- Release 2. Provides: python-pygtk-gobject. Should help with update in Ac.

Revision 1.28  2008-01-04 10:31:25  megabajt
- updated to 2.14.1

Revision 1.27  2007-09-17 17:49:33  qboosh
- -devel R: libffi-devel

Revision 1.26  2007/09/16 15:00:18  megabajt
- missing BR: libffi-devel

Revision 1.25  2007/09/16 14:38:00  megabajt
- updated to 2.14.0
- added m4 patch

Revision 1.24  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.22  2006/11/20 14:26:13  megabajt
- up to 2.12.3

Revision 1.21  2006/10/04 19:11:35  grzegol
- updated to 2.12.2
- removed outdated py25 patch (applied upstream)

Revision 1.20  2006/09/29 14:30:51  wiget
- added py25.patch - fix some warnings

Revision 1.19  2006/09/27 18:26:52  wrobell
- rel. 6 to rebuild with python 2.5 (final)

Revision 1.18  2006/09/09 16:19:08  arekm
- rel 5

Revision 1.17  2006/09/06 18:11:46  grzegol
- added pc patch (fixes pygdocs variable in pygobject-2.0.pc)
- rel. 4

Revision 1.16  2006/09/05 16:45:13  wiget
- don't duplicate apidocs in devel

Revision 1.15  2006/09/05 16:11:52  wiget
- place apidocs in pygobject not python-pygobject subdir, release 2

Revision 1.14  2006/09/05 14:21:43  wiget
- updated to 2.12.1

Revision 1.13  2006/09/04 21:51:52  grzegol
- updated to 2.12.0
- removed jhflags.m4, python.m4 and as-ac-expand.m4 sources (already
  included in tarball)

Revision 1.12  2006/08/28 12:42:00  grzegol
- 2.11.4

Revision 1.11  2006/08/27 10:52:59  havner
- rebuild with 2.5
- rel 2

Revision 1.10  2006/08/26 17:17:43  qboosh
- needs am >= 1.7

Revision 1.9  2006/08/21 20:00:19  freetz
- 2.11.3, removed typename patch (already in sources), updated deps,
 added as-ac-expand.m4 to sources

Revision 1.8  2006/08/13 21:29:29  grzegol
- added typename patch (s/typename/typename_/ in pygobject.h, because
  typename is C++ keyword)
- rel. 2

Revision 1.7  2006/08/10 20:26:52  freetz
- apidocs subpkg

Revision 1.6  2006/08/10 20:17:04  freetz
- 2.11.2, removed obsolete shade_verbatim patch, update file list

Revision 1.5  2006/08/07 20:16:21  freetz
- rel.3, added shade_verbatim patch

Revision 1.4  2006/08/07 15:59:56  freetz
- packaged xsl files, rel.2

Revision 1.3  2006/08/07 15:48:54  freetz
- 2.11.1, updated file list

Revision 1.2  2006/07/12 18:25:56  freetz
- 2.11.0, updated deps and file list

Revision 1.1  2006/06/07 12:18:02  freetz
- intial, based on pygtk spec
